a,abbr,acronym,address,applet,article,aside,audio,b,big,blockquote,body,canvas,caption,center,cite,code,dd,del,details,dfn,div,dl,dt,em,embed,fieldset,figcaption,figure,footer,form,h1,h2,h3,h4,h5,h6,header,hgroup,html,i,iframe,img,ins,kbd,label,legend,li,mark,menu,nav,object,ol,output,p,pre,q,ruby,s,samp,section,small,span,strike,strong,sub,summary,sup,table,tbody,td,tfoot,th,thead,time,tr,tt,u,ul,var,video{margin:0;padding:0;border:0;font-size:100%;font:inherit;vertical-align:baseline}article,aside,details,figcaption,figure,footer,header,hgroup,menu,nav,section{display:block}body{line-height:1}ol,ul{list-style:none}blockquote,q{quotes:none}blockquote:after,blockquote:before,q:after,q:before{content:'';content:none}table{border-collapse:collapse;border-spacing:0}

* {
    font-family: Poppins, sans-serif;
}

html {
    font-size: 10px;
}

:root {
    --gold-color: #E8D084;
    --black-color: #171512;
    --white-color: #FFFFFF;
}

/* Global Styles */
body {
    font-family: Poppins, sans-serif;
}

.main-section {
    margin-top: 12rem;
    margin-bottom: 12rem;
}

.section-extra-bg {
    height: 420px;
    background-image: url('office-3b.jpg');
    background-size: cover;
    background-position: center;
}

.last-section {
    margin-bottom: 4rem;
}

.navbar-nav {
    font-size: 1.4rem;
    margin-left: auto;
}

.navbar-close-icon {
    display: none;
}

.nav-item a {
    color: var(--white-color);
    margin: 0 1rem;
    letter-spacing: 0.5px;
}

.gold-title {
    color: var(--gold-color);
    font-family: Palatino,Palatino Linotype,Palatino LT STD,Book Antiqua,Georgia,serif;
    font-weight: bold;
    margin-bottom: 40px;
    font-size: 42px;
    text-transform: uppercase;
}

.gold-title-small {
    color: var(--gold-color);
    font-family: Palatino,Palatino Linotype,Palatino LT STD,Book Antiqua,Georgia,serif;
    font-weight: bold;
    margin-bottom: 6rem;
    font-size: 4rem;
    text-transform: uppercase;

}

/* Header Section */
.header-section {
    padding-top: 20px;
    padding-bottom: 40px;
    height: auto;
    background-image: url('header-bg.jpg'); background-size: cover; background-position: center;
}

.header-contact a, .header-contact a:active, .header-contact a:visited, .header-contact a:focus {
    background-color: var(--gold-color);
    border: 1px solid var(--black-color);
    color: var(--black-color);
    padding: 8px 20px;
    font-size: 1.4rem;
}
.header-contact a:hover {
    background-color: var(--black-color);
    border: 1px solid var(--gold-color);
    color: var(--gold-color);
}

.header-paragraph {
    text-align: left;
    font-size: 1.6rem;
    font-weight: 300;
    line-height: 2.8rem;
    text-align: justify;
    margin: 4rem 3rem 0 3rem;
}

.header-title {
    text-transform: uppercase;
}

.header-content {
    margin-top: 4rem;
}

.header-content hr {
    margin: 40px 0;
    color: var(--gold-color);
}

.logo {
    height: 100px;
}

.lead {
    font-size: 1.6rem;
    line-height: 2.8rem;
    margin-bottom: 4rem;
}

.offer-contact-us {
    text-align: center;
    padding: 0 0 2rem 0;
}

.offer-contact-us a, .header-contact a:active, .header-contact a:visited, .header-contact a:focus {
    background-color: var(--gold-color);
    border: none;
    color: var(--black-color);
    padding: 8px 20px;
    font-size: 1.4rem;
}
.offer-contact-us a:hover {
    background-color: var(--black-color);
    color: var(--gold-color);
}

.offer-item {
    padding: 20px;
}

.offer-item-title {
    font-weight: bold;
    font-size: 1.8rem;
    margin-bottom: 1.5rem;
    line-height: 2.4rem;
}

.offer-item-description {
    font-size: 1.6rem;
    color:var(--black-color);
    font-weight: 300;
    line-height: 2.8rem;
}

.offer-item-description ul {
    margin: 0;
    padding: 0;
    padding-left: 18px;
}

.offer-item-description ul li {
    font-size: 1.6rem;
    color: #505050;
    font-weight: 300;
    line-height: 24px;
    list-style: circle;
    color:var(--black-color);
}

.slogan {
    min-height: 480px;
    top: -30px;
    position: relative;
    border: 10px solid white;
    padding: 5rem 8rem;
    color: white;
    text-align: center;
    background-color: var(--black-color);
    font-size: 22px;
    font-weight: 300;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
}

.slogan p {
    margin-bottom: 3rem;
    font-weight: 300;
    font-size: 2rem;
    line-height: 3.5rem;
}

.slogan span.gold {
    color: var(--gold-color);
    font-weight: bold;
}

.slogan .contact {
    display: flex;
    justify-content: center;

}

.slogan .contact div {
    display: flex;
    margin: 0 30px;
    align-items: center;
}
.slogan .contact a, .slogan .contact a:active, .slogan .contact a:visited, .slogan .contact a:focus {
    display: inline-block;
    color: var(--gold-color);
    text-decoration: none;
    font-weight: 300;
}

.slogan .contact img {
    height: 30px;
    margin-right: 15px;
}

.slogan .contact img.small {
    height: 22px;
    margin-right: 15px;
}

.contactUs {
    font-size: 1.6rem;
    line-height: 3rem;
}

.contactUs img {
    width: 60%;
    display: inline-block;
    margin-bottom: 40px;
}

.contactUs p {
    margin-bottom: 20px;
}

.contactUs p strong{
    font-weight: 700;
}

.contactUs .phones span {
    margin-right: 20px;
}

.contactUs__map iframe {
    display: block;
    width: 100%;
    height: 400px;
}

.advantages-section {
    height: 550px;
    background-image: url('office-4.jpg');
    background-size: cover;
    background-position: center;
}

.advantages-slogan {
    color: var(--gold-color);
    font-size: 6rem;
    font-weight: 700;
    line-height: 7rem;
    font-family: Palatino, Palatino Linotype, Palatino LT STD, Book Antiqua, Georgia, serif;
    text-transform: uppercase;
}

.advantages-mark {
    font-size: 2rem;
    line-height: 3rem;
    color: var(--white-color);
    margin: 30px 0;
    font-weight: 300;
    align-items: center;
}

.advantages-mark span {
    color: var(--white-color);
    display: inline-block;
}

.advantages-mark p {
    margin-left: 10px;
    font-weight: 300;
}

.linkContainer {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.linkContainer .link {
    font-weight: 300;
    font-size: 1.6rem;
    line-height: 2.8rem;
    margin: 0.5rem 3rem;
    display: flex;
    justify-items: center;
    align-items: center;
    cursor: pointer;
}

.linkContainer .link span {
    margin-left: 1rem;
}

.linkContainer .link svg {
    height: 2.4rem;
    width: 2.4rem;
}

.linkContainer a, .linkContainer a:active, .linkContainer a:visited, .linkContainer a:focus {
    color: var(--black-color);
    text-decoration: none;
}

.linkContainer a:hover {
    color: var(--gold-color);
}
footer {
    background-color: #F5F2E6;
    text-align: center;
    padding: 1rem;

}


/* Mobile Navigation */
@media (max-width: 768px) {
    #navbarNav {
        height: 100%;
        position: fixed;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background-color: black;
        z-index: 100;
        padding: 3rem;
        text-align: center;
        flex-direction: column;
        justify-content: center;
        align-content: center;
    }

    #navbarNav.active {
        display: flex;
    }

    .navbar-nav {
        margin: 0;
    }

    .nav-link {
        font-size: 2rem;
        line-height: 4rem;
    }

    .header-contact {
        margin-top: 4rem;
        flex-direction: column;
        display: flex;
    }

    .header-contact a {
        margin: 5px;
    }

    .navbar-nav {
        background-color: rgba(0, 0, 0, 0.8);
        padding: 10px;
    }

    .navbar-brand {
        width: 60%;
    }

    .navbar-close-icon {
        display: block;
        position: absolute;
        right: 1rem;
        top: 1rem;
        font-size: 3rem;
        background: none;
        border: none;
        font-weight: 300;
        color: var(--gold-color);
    }

    .extra-padding {
        padding: 0 2rem;
    }

    .logo {
        height: auto;
        width: 100%;
    }

    .header-section {
        height: auto;
        background: var(--black-color);
        padding: 0 20px 40px 20px;

    }

    .lead {
        text-align: justify;
    }

    .main-section {
        margin-top: 4rem;
        margin-bottom: 4rem;
    }

    .section-extra-bg {
        height: auto;
        background:none;
    }

    .gold-title {
        font-size: 3rem;
    }

    .gold-title-small {
        margin-bottom: 2rem;
    }

    .two-column-section .col-md-7,
    .two-column-section .col-md-5 {
        text-align: center;
    }

    .slogan {
        padding: 40px 30px;
        border: none;
        min-height: auto;
        top: 0;
    }

    .slogan .contact {
        flex-direction: column;
        align-items: center;
    }

    .slogan .contact a{
        font-size: 1.8rem;
    }

    .slogan .contact div {
        margin: 10px 30px;
    }

    .slogan .contact img {
        height: 20px;
    }

    .slogan .contact img.small {
        height: 14px;
    }

    .slogan p {
        font-weight: 300;
        font-size: 1.6rem;
        line-height: 2.4rem;
    }

    .advantages-slogan {
        font-size: 2rem;
        line-height: 2rem;
    }

    .contactUs img {
        margin-top: 2rem;
        margin-bottom: 1rem;
    }

    .contactUs .phones span {
        display: block;
    }

    .advantages-section {
        padding: 3rem 2rem;
        height: auto;
        background-size: cover;
        background-position: center;
    }

    .advantages-slogan {
        font-size: 3rem;
        line-height: 4rem;
    }

    .advantages-mark {
        flex-direction: column;
    }

    .advantages-mark span {
        margin: 0;
    }

    .advantages-mark p {
        margin: 0;
    }

    .linkContainer {
        flex-direction: column;
    }
}

 .floating-contact {
     display: none;
 }

.floating-contact2 {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #171512; /* Gold background */
    color: #E8D084; /* Black text */
    padding: 14px 22px;
    border-radius: 50px;
    text-decoration: none;
    font-weight: bold;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
    transition: all 0.3s ease-in-out;
    font-size: 16px;
    border: 1px solid #171512;
    display: flex;
    align-items: center;
    gap: 8px;
}

.floating-contact:hover {
    background-color: #171512; /* Black background on hover */
    color: #E8D084; /* Gold text on hover */
    transform: scale(1.1);
}

.floating-contact2:hover {
    background-color: #171512; /* Black background on hover */
    color: #E8D084; /* Gold text on hover */
    transform: scale(1.1);
}

@media (max-width: 768px) {
    .floating-contact {
        position: fixed;
        bottom: 20px;
        right: 220px;
        background-color: #171512; /* Gold background */
        color: #E8D084; /* Black text */
        padding: 14px 22px;
        border-radius: 50px;
        text-decoration: none;
        font-weight: bold;
        box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
        transition: all 0.3s ease-in-out;
        font-size: 16px;
        border: 1px solid #171512;
        display: flex;
        align-items: center;
        gap: 8px;
        font-size: 14px;
        padding: 12px 18px;
        bottom: 15px;
        right: 15px;
    }

    .floating-contact2 {
        display: none;
    }
}
